@font-face {
    font-family: WaldorfCzech;
    src: url("../fonts/WaldorfCzech-jp-7Cs5JaH.otf") format("opentype");
}

@font-face {
    font-family: Tempus;
    src: url("../fonts/tempsitcCE-_7cCkcV.ttf") format("truetype");
}

@font-face {
    font-family: Roboto;
	src: url("../fonts/Roboto-Regular-w9ZCFvj.ttf") format("truetype");
}

* {
    box-sizing: border-box;
}

body {
	margin: 0px;
	display: grid;
	grid-template-columns: minmax(80%,1200px);
	grid-template-rows: 7rem auto 4rem;
	grid-template-areas: "header"
						"body"
						"footer";
	justify-items: stretch;
	justify-content: center;
	width: 100vw;
	min-height: 100vh;
	max-width: 100%;
	background-image: url("../images/background-ukp5Wc_.webp");
	background-size: cover;
	background-origin: border-box;
    background-clip: border-box;
}

.backdrop {
	display: none;
	position: fixed;
	top: 0px;
	bottom: 0px;
	width: 100vw;
	height: 100vh;
	background-color: rgba(50,50,50,0.0);
	z-index: 3;
	backdrop-filter: grayscale(0%) blur(0px);
	/* transition: all 2s; */
}

.showBackdrop {
	background-color: rgba(50,50,50,0.6);
	 backdrop-filter: grayscale(100%) blur(4px);
	/* transition: all 2s; */
	animation: fade-in 0.5s;
}

@keyframes fade-in {
	from {
		opacity: 0;
	}
	to {
		opacity: 1;
	}
}

main {
	position: relative;
	min-height: calc(100vh - 6rem - 6rem - 1rem);
	font-family: "Roboto";
	font-size: 2rem;
	margin-top: 10px;
}

.info {
	width: 100%;
	height: 100%;
	font-family: WaldorfCzech, sans-serif;
	font-size: 3rem;
	position: absolute;
}

.info p {
	position: relative;
 	top: 50%;
 	text-align: center;
 	margin-top: 0px;
}

/* Hlavička každé stránky - desktop */

.header {
	height: 7rem;
 	position: sticky;
 	top: 0px;
 	left: 0px;
	width: 100%;
	margin: 0;
	z-index: 6;
	display: grid;
	grid-template-columns: minmax(6rem,10rem) max-content auto 3rem 10rem;
	grid-column-gap: 2rem;
	grid-template-rows: 4rem 1rem;
	align-content: center;
	grid-template-areas: "leftsheep title rightsheep facebook menu"
						 "leftsheep subtitle rightsheep facebook menu";
/* 	flex-direction: row; */
/* 	flex-wrap: nowrap; */
/* 	justify-content: center; */
/* 	align-items: center; */
 	box-shadow: 0px 7px 7px -5px #00000033;
 	background: #e3d4de;
 	border-radius: 0px 0px 20px 20px;
}

/* Menu - desktop */

.desktop-menu-button {
	font-family: WaldorfCzech, sans-serif;
	font-size: 2rem;
	grid-area: menu;
	justify-self: center;
	align-self: center;
	cursor: pointer;
}

.mobile-menu-button {
	display: none;
	grid-area: menu;
	justify-self: center;
	align-self: center;
}

.mobile-menu-icon {
  width: 3rem;
  background: transparent;
  border: none;
  cursor: pointer;
  padding-top: 0;
  padding-bottom: 0;
  vertical-align: middle;
}

.mobile-menu-icon:focus {
  outline: none;
}

.mobile-menu-icon-bar {
  width: 100%;
  height: 0.2rem;
  background: black;
  display: block;
  margin: 0.6rem 0;
}

.title {
	font-family: WaldorfCzech, sans-serif;
	font-size: 3.8rem;
	justify-self: center;
	align-self: end;
	grid-area: title;
}

.title span {
	float: left;
	padding: 0 !important;
}

.title .red {
	color: #FF0000;
}

.title .orange {
	color: #FF6600;
}

.title .yellow {
	color: #FFCC00;
}

.title .green_light {
	color: #00FF00;
}

.title .green_dark {
	color: #00D400;
}

.title .blue {
	color: #0000FF;
}

.title .purple {
	color: #CC00FF;
}

.title a {
	text-decoration: none;
	color: black;
}

.subtitle {
	font-family: WaldorfCzech, sans-serif;
	font-size: 1rem;
	justify-self: center;
	align-self: center;
	transform: translateX(7rem);
	grid-area: subtitle;
}

.leftsheep {
	justify-self: right;
	align-self: bottom;
	grid-area: leftsheep;
}

.rightsheep {
	justify-self: left;
	align-self: bottom;
	grid-area: rightsheep;
}

.leftsheep img {
	height: 5rem;

}

.rightsheep img {
	height: 5rem;
}

.main-menu {
	position: fixed;
	top: 6rem;
 	width: 100%;
	padding-top: 1rem;
	display: block;
	z-index: 5;
	transform: translateY(-100%);
	transition: transform 0.2s;
}

.main-menu-items {
	margin: 0;
    padding: 0rem;
    list-style: none;
    display: flex;
    flex-wrap: nowrap;
 	justify-content: center;
 	align-items: center;
 	flex-direction: row;
}

.main-menu-item {
    display: inline-flex;
    margin: 0 0.2rem;
}

.main-menu-item a {
    text-decoration: none;
    color: #666666;
    font-weight: bold;
    font-family: Tempus;
    background-color: white;
    padding: 0.5rem 2rem;
    border-left: 2px solid #666666;
    border-right: 2px solid #666666;
    border-bottom: 2px solid #666666;
    border-top: 1px solid rgba(102,102,102,0.2);
    border-radius: 0px 0px 10px 10px;
}

.main-menu-item a:hover,
.main-menu-item a:active {
    color: #1fca3c;
    border-left: 2px solid #1fca3c;
    border-right: 2px solid #1fca3c;
    border-bottom: 2px solid #1fca3c;
    border-top: 1px solid rgba(31,202,60,0.2);
}

.open {
	transform: translateY(0rem) !important;
}

/* Patička každé stránka */

.footer {
    background: #555555;
    position: relative;
    width: 100%;
    padding: 1rem 0;
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
}

.footer-links {
    list-style: none;
    margin: 0;
    padding: 0;
    text-align: center;
    display: flex;
    flex-direction: row;
    justify-content: center;
    min-height: 2rem;
}

.footer-link {
	font-family: Roboto, sans-serif;
    margin: 0.2rem 1rem;
}

.footer-link a {
    color: #888888;
    text-decoration: none;
}

.footer-link a:hover,
.footer-link a:active {
    color: #FFFFFF;
}

/* Sekce - Daily menu */

#dailymenu {
  width: 100%;
  margin-top: 3.5rem;
  position: relative;
  font-size: 1.3rem;
  display: flex;
  align-items: center;
  justify-content: center;
  font-family: WaldorfCzech;
  padding-top: 0.5rem;
  min-height: 3rem;
}

#dailymenu .dailymenu {
  display: flex;
  gap: 1rem;
  justify-content: center;
  flex-wrap: wrap;
}

.dailymenu > div {
	flex-grow: 1;
    max-width: 24%;
    border: 2px solid black;
    border-radius: 1rem;
    padding: 0 0.5rem 0 0.5rem;
    display: flex;
    min-width: 15rem;
}

.dailymenu > div > i {
	background-size: contain;
	background-repeat: no-repeat;
	background-position: center;
	min-width: 3rem;
	display: flex;
	margin: 0.2rem 0.5rem 0.2rem 0.2rem;
}

.dailymenu > div > p {
	display: flex;
	align-items: center;
	font-family: WaldorfCzech;
	padding-top: 0.5rem;
}

.brunch .icon {
	background-image: url("../images/icons/003-pie-7LBA81R.png");
}

.soup .icon {
	background-image: url("../images/icons/001-soup-AF2mrdF.png");
}

.lunch .icon {
	background-image: url("../images/icons/002-roasted-chicken-5eC7NPg.png");
}

.snack .icon {
	background-image: url("../images/icons/004-drink-9684Jzj.png");
}

/* Sekce - Images */

#images {
  width: 100%;
  height: 50vh;
  position: relative;
}

#images .image {
	display: none;
}

#images .left, .right {
  cursor: pointer;
  position: absolute;
  top: 50%;
  width: auto;
  margin-top: -22px;
  padding: 16px;
  color: white;
  font-weight: bold;
  font-size: 18px;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
  user-select: none;
}

#images .right {
  right: 0;
  border-radius: 3px 0 0 3px;
}

#images .left:hover, .right:hover {
  background-color: rgba(0,0,0,0.8);
}

#images .text {
	font-family: WaldorfCzech;
	color: #f2f2f2;
	font-size: 3rem;
	padding: 2rem 2rem;
	position: absolute;
	bottom: 2rem;
	width: 100%;
	text-align: left;
	text-shadow: 0px 3px 7px #000000;
}

#images .text a {
	text-decoration: none;
	color: white;
}

.image img {
	width: 100%;
	height: 50vh;
	object-fit: cover;
	border-radius: 20px;
}

#images .image.top img {
	object-position: top;
}

.dots {
	text-align:center;
}

.dot {
  cursor: pointer;
  height: 15px;
  width: 15px;
  margin: 0 2px;
  background-color: #bbb;
  border-radius: 50%;
  display: inline-block;
  transition: background-color 0.6s ease;
}

.active, .dot:hover {
  background-color: #717171;
}

#images .fade {
  -webkit-animation-name: fade;
  -webkit-animation-duration: 1.5s;
  animation-name: fade;
  animation-duration: 1.5s;
}

@-webkit-keyframes fade {
  from {opacity: .4}
  to {opacity: 1}
}

@keyframes fade {
  from {opacity: .4}
  to {opacity: 1}
}

/* Sekce - Novinky */

#news {
	width: 95%;
	padding-top: 0rem;
	margin: auto;
}

.news-item:first-of-type {
	padding-top: 2rem;
}

.news-item {
	display: flex;
	flex-direction: row;
	align-content: flex-end;
	justify-content: flex-start;
	margin-bottom: 3rem;
}

.news-item img {
 	height: 10rem;
    max-width: 200px;
	max-height: 160px;
    margin: 0 1rem;
	border-radius: 10px;
    object-fit: cover;
}

.news-item .news-description {
	display: flex;
	flex-direction: column;
}

#tel {
	font-size: 1.2rem;
}

.news-item .news-description h1,
.news-item .news-description a {
	font-family: WaldorfCzech;
	font-size: 1.4rem;
	font-weight: normal;
	margin-top: 1rem;
	margin-bottom: 0.2rem;
	text-decoration: none;
	color: black;
    align-self: flex-start;
}

#normal {
	font-size: 1.3rem !important;
}

.news-item .news-description a:hover {
		color: purple;
	}

.news-item .news-description p {
	font-family: Roboto;
	display: -webkit-box;
	-webkit-line-clamp: 3;
	-webkit-box-orient: vertical;
  	overflow: hidden;
  	text-overflow: ellipsis;
  	font-size: 1.3rem;
  	margin-top: 1rem;
  	margin-bottom: 0rem;
}

/* Sekce - O nás */

#onas .profil {
	border: 5px solid black;
	border-radius: 50%;
	width: 20rem;
	float:left;
	margin: 2rem 5rem 2rem 2rem;
}

#onas .medailonek {
	padding-top: 1rem;
	display: none;
	padding-bottom: 10rem;
}

#onas .medailonek:first-of-type {
	display: block;
}

#onas .name {
	font-family: Tempus;
	font-size: 3rem;
	margin: 0;
}

#onas .function {
	font-family: Tempus;
	margin: 0;
	font-size: 2rem;
	color: #555555;
}

#onas hr {
	border: 2px solid black;
	margin-right: 2rem;
	border-radius: 20%;
}

#onas .description {
	font-size: 1.2rem;
	text-align: justify;
	padding-right: 1rem;
	text-indent: 2rem;
}

#others {
	width: 100%;
	position: absolute;
	bottom: 0px;
	display: flex;
	align-items: flex-end;
	justify-content: center;
/* 	background-color: rgba(255,255,255,1); */
/* 	background: linear-gradient(to top, rgba(255, 255, 255, 1) 65%, transparent 10%); */
	z-index: 2;
}

#others .person:first-of-type {
		margin-left:2rem;
	}

#others .person.selected img {
		border: 4px solid green;
		border-radius: 50%;
		transform: translateY(0rem) scale(1);
		width: 100%;
	}

#others .person img:hover,
		.person img:active {
			transform: translateY(0rem) scale(1);
}



#others .person img {
		border: 4px solid green;
		border-radius: 50%;
		width: 100%;
		transform: translateY(1rem) scale(0.6);
		transition: all 250ms ease;
	}

#others .person {
	margin-left: 1rem;
	width: 5rem;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	transition: scale(200%);
}

#others .name {
	font-size: 1rem;
	text-align: center;
	color: black;
}

/* Sekce - Downloads */

.downloads a {
	background-image: url("../documents/download-13UVbhX.svg");
	background-size: 4rem;
	background-repeat: no-repeat;
	background-position: bottom;
	text-decoration: none;
	font-family: Tempus, sans-serif;
	font-weight: bold;
	height: 6.5rem;
	margin: 1rem;
	color: black;
}

.downloads a:hover,
.downloads a:active {
	color: purple;
	text-decoration: underline;
}

.downloads {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;

}

/* Sekce Kuchyně */
#kuchyne h1 {
	font-family: WaldorfCzech;
	font-weight: normal;
	font-size: 2rem;
	text-align: center;
}

#kuchyne p {
	font-family: Roboto, sans-serif;
	font-size: 1.4rem;
	text-indent: 2rem;
	text-align: justify;
}

#kuchyne img {
	max-width: 80%;
}

/* Sekce Cenik */
#cenik h1 {
	font-family: WaldorfCzech;
	font-weight: normal;
	font-size: 2rem;
	text-align: center;
}

#cenik p {
	font-family: Roboto, sans-serif;
	font-size: 1.4rem;
	text-align: justify;
}

#cenik li {
	font-family: Roboto, sans-serif;
	font-size: 1.4rem;
	text-align: justify;
	display: grid;
	padding-inline-start: 2rem;
}

#cenik ul {
	font-family: Roboto, sans-serif;
	font-size: 1.4rem;
	text-align: justify;
	padding-inline-start: 0px;
}

/* Sekce O skolce */
#oskolce h1 {
	font-family: WaldorfCzech;
	font-weight: bold;
	font-size: 2.5rem;
	text-align: center;
}

#oskolce h2 {
	font-family: WaldorfCzech;
	font-weight: bold;
	font-size: 2rem;
	text-align: center;
	text-decoration: underline;
}

#oskolce h3 {
	font-family: WaldorfCzech;
	font-weight: normal;
	font-size: 2rem;
	text-align: center;
	text-decoration: none;
}

#oskolce p {
	font-family: Roboto, sans-serif;
	font-size: 1.4rem;
	text-align: justify;
}

#oskolce p.indent {
	text-indent: 2rem;
}

#oskolce li {
	font-family: Roboto, sans-serif;
	font-size: 1.4rem;
	text-align: justify;
}

/* Sekce Aktuality */
#aktuality h1 {
	font-family: WaldorfCzech;
	font-weight: normal;
	font-size: 2rem;
	text-align: center;
	text-decoration: none;
}

#aktuality .datum {
	text-align: left;
}

#aktuality p {
	font-family: Roboto, sans-serif;
	font-size: 1.4rem;
	text-align: justify;
}

#aktuality p.indent {
	text-indent: 2rem;
}

.desktop-facebook-link {
	grid-area: facebook;
	background-image: url("../images/facebook-6m3pnUC.webp");
	background-size: contain;
	background-repeat: no-repeat;
	background-position: center;
	min-height: 80%;
	min-width: 80%;
	cursor: pointer;
}

.titleNews > h2 {
    font-family: WaldorfCzech;
    font-size: 2rem;
    margin-bottom: 0;
}

.titleNews > p {
    font-style: italic;
    font-size: 0.7rem !important;
    margin-top: 0 !important;
}

.disableEllipsis > p {
    text-overflow: unset !important;
    -webkit-line-clamp: unset !important;
    margin-top: 1rem !important;
}

/* Úprava pro mobily */

@media (max-width: 57rem) {
	.leftsheep {
		display: none;
	}

	.rightsheep {
		display: none;
	}

	.header {
		grid-template-columns: auto 3rem 10rem;
		grid-template-rows: 3rem 1rem;
		grid-column-gap: 1rem;
		grid-template-areas: "title facebook menu"
							 "subtitle facebook menu";
	}
}
@media (max-width: 40rem) {
	body {
		display: block;
	}

	.header {
		grid-template-columns: auto 3rem 4rem;
		grid-column-gap: 0rem;
	}

	.desktop-menu-button {
		display: none;
	}

	.mobile-menu-button {
		display: block;
	}

	.main-menu {
		transform: translateX(100%);
	}

	.main-menu-items {
		flex-direction: column;
		align-items: flex-end;
		margin-right: 1rem;
 	}

 	.main-menu-item {
 		margin-bottom: 0.1rem;
 	}

 	.main-menu-item a {
    	border: 2px solid #666666;
    	border-radius: 10px;
	}

	.title {
		padding: 0 !important;
		font-size: 2rem;
	}

	.subtitle {
		font-size: .8rem;
		transform: translateX(1.5rem);
	}

	.footer-links {
		flex-direction: column;
	}

	#images {
		height: 33vh;
	}

	#images .text {
		font-size: 1.6rem;
		bottom: 0rem;
	}

	.image img {
		height: 33vh;
	}

	#news {
		margin-top: 1rem;
		width: 100%;
	}

	.news-item {
		flex-direction: column;
		margin: 0 1rem;
		padding-bottom: 2rem;
	}

	.news-item img {
		width: 200px;
		height: 160px;
        align-self: center;
		object-fit: cover;
	}

	.news-item .news-description h1,
	.news-item .news-description a {
		align-self: center;
	}

	#onas .profil {
		margin-left: 3rem;
	}

	#onas .name {
		font-size: 2rem;
		text-align: center;
	}

	#onas .function {
		font-size: 1.5rem;
		text-align: center;
	}

	#onas hr {
		margin: 0;
	}

	#onas .description {
		font-size: 1.3rem;
		padding: 0rem 1rem;
	}

	#others {
		top: 0px;
		bottom: unset;
		flex: 1 1 0px
	}

	#others .person:first-of-type {
		margin-left:0rem;
	}

	#others .person {
		margin-left: 0rem;
	}

	#others .person .name {
		display: none;
	}

	#onas .medailonek {
		padding-top: 8rem;
	}
	.downloads a {
		font-size: 1.3rem;
	}

	#kuchyne {
		padding: 0rem 1rem;
	}

	#oskolce {
		padding: 0rem 1rem;
	}

	#aktuality {
		padding: 0rem 1rem;
	}

	#cenik {
		padding: 0rem 1rem;
	}

/* 	#dailymenu .dailymenu { */
/* 		display: grid; */
/* 		grid-template-columns: 25% 25% 25% 25%; */
/* 		grid-template-rows: 3rem 1rem; */
/* 		grid-column-gap: 1rem; */
/* 		grid-template-areas: "brunch soup lunch snack" */
/* 							 "brunch soup lunch snacl"; */
/* 	} */

	#dailymenu .dailymenu {
		height: 8rem;
	}

	#dailymenu .dailymenu > div {
		display: grid;
		grid-template-rows: 3rem 5rem;
		grid-template-columns: 1fr 1fr 1fr 1fr;
		column-gap: 6px;
		border: 0;
		min-width: stretch;
		margin: 1rem 1.2rem 1rem 1.2rem;
	}

	#dailymenu .dailymenu .brunch {
		grid-template-areas: "icon . . ."
							 "meal meal meal meal";
	}

	#dailymenu .dailymenu .soup {
		grid-template-areas: ". icon . ."
							 "meal meal meal meal";
	}

	#dailymenu .dailymenu .lunch {
		grid-template-areas: ". . icon ."
							 "meal meal meal meal";
	}

	#dailymenu .dailymenu .snack {
		grid-template-areas: ". . . icon"
							 "meal meal meal meal";
	}

	.icon {
		grid-area: icon;
		border-color: #000000;
		border-radius: 0.5rem 0.5rem 0 0;
		border: 2px;
		height: 100%;
		margin: 0 !important;
		position: aboslute;
    	z-index: 9999;
    	inset: 0;
    	pointer-events: auto;
    	cursor: pointer;
	}

	.meal {
		grid-area: meal;
		border-width: 2px;
		border-radius: 0 0 0.5rem 0.5rem;
		border-color: #000000;
		border-style: none solid solid solid;
		height: 100%;
		padding: 0.5rem !important;
		margin: 0 !important;
	}

	#dailymenu .dailymenu > div.activeMeal > i {
		border-color: #000000;
		border-style: solid solid none solid;
	}

	#dailymenu .dailymenu > div.inactiveMeal > i {
		border-color: #BBBBBB;
		border-style: solid solid dotted solid;
	}

	#dailymenu .dailymenu > div.inactiveMeal > p {
		opacity: 0;
		transition: opacity 0.5s ease;
	}

	#dailymenu .dailymenu > div.activeMeal > p {
		opacity: 1;
		transition: opacity 0.5s ease;
	}

	#dailymenu .dailymenu > div {
		position: absolute;
	}
}
